Create Workflow
curl --request POST \
--url https://api.example.com/v1/workflows \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"workflow_type": "<string>",
"indicator_types": [],
"state": "draft",
"timeout_seconds": 300,
"retry_count": 0,
"is_active": true,
"tags": [],
"time_saved_minutes": 123,
"approval_mode": "always",
"approval_channel": "<string>",
"approval_timeout_seconds": 3600,
"risk_level": "medium",
"documentation": "<string>"
}
'import requests
url = "https://api.example.com/v1/workflows"
payload = {
"name": "<string>",
"code": "<string>",
"workflow_type": "<string>",
"indicator_types": [],
"state": "draft",
"timeout_seconds": 300,
"retry_count": 0,
"is_active": True,
"tags": [],
"time_saved_minutes": 123,
"approval_mode": "always",
"approval_channel": "<string>",
"approval_timeout_seconds": 3600,
"risk_level": "medium",
"documentation": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
workflow_type: '<string>',
indicator_types: [],
state: 'draft',
timeout_seconds: 300,
retry_count: 0,
is_active: true,
tags: [],
time_saved_minutes: 123,
approval_mode: 'always',
approval_channel: '<string>',
approval_timeout_seconds: 3600,
risk_level: 'medium',
documentation: '<string>'
})
};
fetch('https://api.example.com/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"workflow_type": "<string>",
"indicator_types": [
"<string>"
],
"state": "<string>",
"code_version": 123,
"is_active": true,
"is_system": true,
"tags": [
"<string>"
],
"time_saved_minutes": 123,
"approval_mode": "<string>",
"risk_level": "<string>",
"documentation": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"timeout_seconds": 123,
"retry_count": 123,
"approval_channel": "<string>",
"approval_timeout_seconds": 123
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflows
Create Workflow
POST
/
v1
/
workflows
Create Workflow
Body
application/json
Request body for POST /v1/workflows.
⌘I

